Bug 176030 - kdelibs-3.5.0-0.1.fc4.i386.rpm breaks k3b
kdelibs-3.5.0-0.1.fc4.i386.rpm breaks k3b
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-17 17:21 EST by Igor Jagec
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 08:12:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Jagec 2005-12-17 17:21:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686; en) Opera 8.51

Description of problem:
kdelibs-3.5.0-0.1.fc4.i386.rpm breaks k3b. I got this version of kdelibs today 
in updates. I roll it back to kdelibs-3.4.2-0.fc4.1 and everything works just 
fine.

Version-Release number of selected component (if applicable):
kdelibs-3.5.0-0.1.fc4.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:
Comment 1 J Hecker 2005-12-17 19:19:48 EST
I too get this problem with the new kde-3.5 FC4 updates.  It crashes just after
the splash screen loads (with "Creating GUI" listed at the bottom of the splash
logo).

I haven't rolled anything back.

Here's something half useful from the kcrash handler.

8<----------------
[KCrash handler]
#4  0x004b0483 in __gnu_cxx::__pool<true>::_M_reclaim_block ()
   from /usr/lib/libstdc++.so.6
#5  0x00b20265 in Arts::readTypeSeq<Arts::InterfaceDef> ()
   from /usr/lib/libmcop.so.1
#6  0x00b15228 in Arts::ModuleDef::readType () from /usr/lib/libmcop.so.1
#7  0x00b156aa in Arts::ModuleDef::ModuleDef () from /usr/lib/libmcop.so.1
#8  0x00b4096f in Arts::IDLFileReg::startup () from /usr/lib/libmcop.so.1
#9  0x00b48bf2 in Arts::StartupManager::startup () from /usr/lib/libmcop.so.1
#10 0x00b297d5 in Arts::Dispatcher::Dispatcher () from /usr/lib/libmcop.so.1
#11 0x00ed2aa9 in KArtsDispatcher::KArtsDispatcher ()
   from /usr/lib/libartskde.so.1
#12 0x0808a5c0 in KFileTreeView::slotSetNextUrlToSelect ()
#13 0x0809b86e in QValueList<int>::detachInternal ()
#14 0x0809f228 in QValueList<int>::detachInternal ()
#15 0x0808194b in QValueListPrivate<QString>::QValueListPrivate ()
#16 0x080a003f in QPtrList<K3bPluginFactory>::~QPtrList ()
#17 0x01304d5f in __libc_start_main () from /lib/libc.so.6
#18 0x0807e0f1 in ?? ()
Comment 2 Igor Jagec 2005-12-18 17:24:32 EST
(In reply to comment #1)
> I too get this problem with the new kde-3.5 FC4 updates.  It crashes just 
after
> the splash screen loads (with "Creating GUI" listed at the bottom of the 
splash
> logo).
> I haven't rolled anything back.

Well, that's the only one KDE application I have installed on my system (I'm a 
GNOME user) so I can't say a word about the other KDE applications, or KDE. But 
I don't understand why they packaged the 3.5 version of kdelibs when the current 
version of KDE for FC4 is 3.4? What ever it is, I hope it will be fixed very 
soon. Cheers!
Comment 3 Simon Clift 2005-12-18 18:55:17 EST
I tried cleaning out the configurations, which didn't help.

I grabbed

http://download.fedora.redhat.com/pub/fedora/linux/core/test/4.90/SRPMS/k3b-0.12.4-0.a.1.src.rpm

the current test SRPM to see if that would rebuild.  After rebuilding (rpmbuild
-ba k3b.spec) and updating the application was fine.  I suspect we'll see the
package updated by the Fedora Team in the near future (although possibly not 12.4).
Comment 4 Ngo Than 2005-12-20 08:12:45 EST
it's now fixed in new k3b-0.12.10, which will be pushed into FC4-update this
week, many thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.